Skip to main content
DELETE
/
organizations
/
{organizationId}
/
clusters
/
{clusterId}
Delete a cluster
curl --request DELETE \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/clusters/{clusterId} \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "requestId": "<string>",
  "statusCode": 500
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization to which the cluster belongs.

clusterId
string
required

The cluster's ID.

Response